﻿using Hotline.Share.Enums.Push;

namespace Hotline.Share.Dtos.Push
{
    public record MessageDataDto
    {
        /// <summary>
        /// 消息推送业务
        /// </summary>
        public EPushBusiness PushBusiness { get; set; }

        /// <summary>
        /// 接收姓名
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 接收手机号码
        /// </summary>
        public string TelNumber { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreationTime { get; set; }

        /// <summary>
        /// 发送时间
        /// </summary>
        public DateTime? SendTime { get; set; }

        /// <summary>
        /// 发送人
        /// </summary>
        public string SendUser { get; set; }

        /// <summary>
        /// 发送部门
        /// </summary>
        public string SendOrganize { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string? Remark { get; set; }

        /// <summary>
        /// 关联工单编号
        /// </summary>
        public string? OrderNo { get; set; }

        /// <summary>
        /// 关联工单ID
        /// </summary>
        public string? OrderId { get; set; }

        /// <summary>
        /// 推送状态
        /// </summary>
        public EPushStatus Status { get; set; }
    }
}
